## NAME

r.region - Sets the boundary definitions for a raster map.

## KEYWORDS

raster

## SYNOPSIS

r.region
r.region help
r.region [-cd] map=name [region=name] [raster=name] [vector=name] [3dview=name] [n=value] [s=value] [e=value] [w=value] [align=name]

### Flags:

-c
  Set from current region
-d
  Set from default region

### Parameters:

map=name
  Raster map to change
region=name
  Set region from named region
raster=name
  Set region to match this raster map
vector=name
  Set region to match this vector map
3dview=name
  Set region to match this 3dview file
n=value
  Value for the northern edge (format dd:mm:ss{N|S})
s=value
  Value for the southern edge (format dd:mm:ss{N|S})
e=value
  Value for the eastern edge (format ddd:mm:ss{E|W})
w=value
  Value for the western edge (format ddd:mm:ss{E|W})
align=name
  Raster map to align to

## DESCRIPTION

The r.region program allows the user to manage the boundaries of a raster map. These boundaries can be set by the user directly and/or set from a region definition file (stored under the `windows` directory in the user's current mapset), a raster or vector map, or a 3dview file.

The align parameter allows to set the current resolution equal to that of the named raster map, and align the boundaries to a row and column edge in the named map. Alignment only moves the existing boundaries outward to the edges of the next nearest cell in the named raster map -- not to the named map's edges. To perform the latter function, use the raster=name option.

## NOTE

After all updates have been applied, the raster map's resolution settings are recomputed from the boundaries and the number of rows and columns in the raster map.

## SEE ALSO

r.support
g.region

## AUTHOR

Glynn Clements
Based upon g.region

Last changed: $Date: 2006/04/21 12:45:09 $

Main index - raster index - Full index